summaryrefslogtreecommitdiff
path: root/dev-python/sphobjinv/sphobjinv-2.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-21 01:38:49 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-21 01:38:49 +0000
commitbeb17e64bd5e20d71b623a31b107c320492175b5 (patch)
tree990a705260a129f2e92fb130fa4f2b00e69a1869 /dev-python/sphobjinv/sphobjinv-2.1.ebuild
parent899e2978eb900633ac281935c387129b2a5d990e (diff)
downloadbaldeagleos-repo-beb17e64bd5e20d71b623a31b107c320492175b5.tar.gz
baldeagleos-repo-beb17e64bd5e20d71b623a31b107c320492175b5.tar.xz
baldeagleos-repo-beb17e64bd5e20d71b623a31b107c320492175b5.zip
Adding metadata
Diffstat (limited to 'dev-python/sphobjinv/sphobjinv-2.1.ebuild')
-rw-r--r--dev-python/sphobjinv/sphobjinv-2.1.ebuild53
1 files changed, 53 insertions, 0 deletions
diff --git a/dev-python/sphobjinv/sphobjinv-2.1.ebuild b/dev-python/sphobjinv/sphobjinv-2.1.ebuild
new file mode 100644
index 000000000000..5ed336179140
--- /dev/null
+++ b/dev-python/sphobjinv/sphobjinv-2.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx objects.inv Inspection/Manipulation Tool"
+HOMEPAGE="
+ https://github.com/bskinn/sphobjinv/
+ https://pypi.org/project/sphobjinv/
+"
+SRC_URI="https://github.com/bskinn/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0"
+
+# This requires pytest-check, but that does not work at all, even if it
+# is installed it still fails to find the check fixture
+RESTRICT="test"
+
+RDEPEND="
+ >=dev-python/attrs-19.2[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/fuzzywuzzy-0.8[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]"
+
+BDEPEND="
+ test? (
+ dev-python/dictdiffer[${PYTHON_USEDEP}]
+ dev-python/pytest-ordering[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ >=dev-python/stdio-mgr-1.0.1[${PYTHON_USEDEP}]
+ dev-python/timeout-decorator[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx doc/source \
+ dev-python/sphinx_rtd_theme \
+ dev-python/sphinx-issues \
+ dev-python/sphinxcontrib-programoutput
+
+python_prepare_all() {
+ # --strict option is deprecated in pytest>6
+ sed -i -e '/addopts/d' tox.ini || die
+
+ distutils-r1_python_prepare_all
+}